Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/configuration91.svcinfo
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/configuration91.svcinfo	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/configuration91.svcinfo	(revision 4107)
@@ -119,80 +119,86 @@
   </bindingConfigurations>
   <endpoints>
-    <endpoint name="NetTcpBinding_IClientFacade" contract="ServerService.IClientFacade" bindingType="netTcpBinding" address="net.tcp://10.0.0.52:9000/HiveServer/ClientCommunicator" bindingConfiguration="NetTcpBinding_IClientFacade">
+    <endpoint name="NetTcpBinding_IClientFacade" contract="ServerService.IClientFacade" bindingType="netTcpBinding" address="net.tcp://10.42.1.153:9000/HiveServer/ClientCommunicator" bindingConfiguration="NetTcpBinding_IClientFacade">
       <properties>
-        <property path="/address" isComplexType="false" isExplicitlyDefined="true" clrType="System.Uri, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>net.tcp://10.0.0.52:9000/HiveServer/ClientCommunicator</serializedValue>
-        </property>
-        <property path="/behaviorConfiguration" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/binding" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/address" isComplexType="false" isExplicitlyDefined="true" clrType="System.Uri, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue>net.tcp://10.42.1.153:9000/HiveServer/ClientCommunicator</serializedValue>
+        </property>
+        <property path="/behaviorConfiguration" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/binding" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>netTcpBinding</serializedValue>
         </property>
-        <property path="/bindingConfiguration" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/bindingConfiguration" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>NetTcpBinding_IClientFacade</serializedValue>
         </property>
-        <property path="/contract" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/contract" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>ServerService.IClientFacade</serializedValue>
         </property>
-        <property path="/headers" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.AddressHeaderCollectionElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/headers" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.AddressHeaderCollectionElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.AddressHeaderCollectionElement</serializedValue>
         </property>
-        <property path="/headers/headers" isComplexType="false" isExplicitlyDefined="true" clrType="System.ServiceModel.Channels.AddressHeaderCollection, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/headers/headers" isComplexType="false" isExplicitlyDefined="true" clrType="System.ServiceModel.Channels.AddressHeaderCollection, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>&lt;Header /&gt;</serializedValue>
         </property>
-        <property path="/identity" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.IdentityElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.IdentityElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.IdentityElement</serializedValue>
         </property>
-        <property path="/identity/userPrincipalName" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.UserPrincipalNameElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/userPrincipalName" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.UserPrincipalNameElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.UserPrincipalNameElement</serializedValue>
         </property>
-        <property path="/identity/userPrincipalName/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/servicePrincipalName" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.ServicePrincipalNameElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/userPrincipalName/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/servicePrincipalName" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.ServicePrincipalNameElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.ServicePrincipalNameElement</serializedValue>
         </property>
-        <property path="/identity/servicePrincipalName/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/dns" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.DnsElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/servicePrincipalName/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/dns" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.DnsElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.DnsElement</serializedValue>
         </property>
-        <property path="/identity/dns/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/rsa" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.RsaElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/dns/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/rsa" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.RsaElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.RsaElement</serializedValue>
         </property>
-        <property path="/identity/rsa/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/certificate" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.CertificateElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/rsa/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/certificate" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.CertificateElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.CertificateElement</serializedValue>
         </property>
-        <property path="/identity/certificate/encodedValue" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/certificateReference" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.CertificateReferenceElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificate/encodedValue" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/certificateReference" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.CertificateReferenceElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.CertificateReferenceElement</serializedValue>
         </property>
-        <property path="/identity/certificateReference/storeName" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.StoreName, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificateReference/storeName" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.StoreName, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>My</serializedValue>
         </property>
-        <property path="/identity/certificateReference/storeLocation" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.StoreLocation, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificateReference/storeLocation" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.StoreLocation, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>LocalMachine</serializedValue>
         </property>
-        <property path="/identity/certificateReference/x509FindType" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.X509FindType, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificateReference/x509FindType" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.X509FindType, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>FindBySubjectDistinguishedName</serializedValue>
         </property>
-        <property path="/identity/certificateReference/findValue" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/certificateReference/isChainIncluded" isComplexType="false" isExplicitlyDefined="false" clrType="System.Boolean, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>False</serializedValue>
-        </property>
-        <property path="/name" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificateReference/findValue" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/certificateReference/isChainIncluded" isComplexType="false" isExplicitlyDefined="false" clrType="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue>False</serializedValue>
+        </property>
+        <property path="/name" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>NetTcpBinding_IClientFacade</serializedValue>
+        </property>
+        <property path="/kind" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/endpointConfiguration" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
         </property>
       </properties>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/service1.wsdl
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/service1.wsdl	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/service1.wsdl	(revision 4107)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:tns="http://tempuri.org/" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" name="clientFacade" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
+<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="ClientFacade" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
   <wsp:Policy wsu:Id="NetTcpBinding_IClientFacade_policy">
     <wsp:ExactlyOne>
@@ -299,9 +299,9 @@
     </wsdl:operation>
   </wsdl:binding>
-  <wsdl:service name="clientFacade">
+  <wsdl:service name="ClientFacade">
     <wsdl:port name="NetTcpBinding_IClientFacade" binding="tns:NetTcpBinding_IClientFacade">
-      <soap12:address location="net.tcp://10.0.0.52:9000/HiveServer/ClientCommunicator" />
+      <soap12:address location="net.tcp://10.42.1.153:9000/HiveServer/ClientCommunicator" />
       <wsa10:EndpointReference>
-        <wsa10:Address>net.tcp://10.0.0.52:9000/HiveServer/ClientCommunicator</wsa10:Address>
+        <wsa10:Address>net.tcp://10.42.1.153:9000/HiveServer/ClientCommunicator</wsa10:Address>
       </wsa10:EndpointReference>
     </wsdl:port>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/WcfService.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/WcfService.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/WcfService.cs	(revision 4107)
@@ -36,4 +36,5 @@
 namespace HeuristicLab.Hive.Client.Communication {
   using Service = HeuristicLab.Hive.Client.Communication.ServerService;
+  using HeuristicLab.Hive.Client.Communication.ServerService;
 
   /// <summary>
@@ -47,5 +48,5 @@
     /// <returns>the Instance of the WcfService class</returns>
     public static WcfService Instance {
-      get {        
+      get {
         if (instance == null) {
           Logger.Debug("New WcfService Instance created");
@@ -56,14 +57,14 @@
     }
 
-    public DateTime ConnectedSince { get; private set; }    
+    public DateTime ConnectedSince { get; private set; }
     public NetworkEnum.WcfConnState ConnState { get; private set; }
     public string ServerIP { get; private set; }
     public int ServerPort { get; private set; }
 
-    public event EventHandler ConnectionRestored;    
+    public event EventHandler ConnectionRestored;
     public event EventHandler ServerChanged;
-    public event EventHandler Connected;    
-
-    public Service.ClientFacadeClient proxy = null;
+    public event EventHandler Connected;
+
+    public ClientFacadeClient proxy = null;
 
     /// <summary>
@@ -86,5 +87,5 @@
 
         Logger.Debug("Creating the new connection proxy");
-        proxy = new HeuristicLab.Hive.Client.Communication.ServerService.ClientFacadeClient(
+        proxy = new ClientFacadeClient(
           HeuristicLab.Hive.Contracts.WcfSettings.GetStreamedBinding(),
           new EndpointAddress("net.tcp://" + ServerIP + ":" + ServerPort + "/HiveServer/ClientCommunicator")
@@ -93,9 +94,9 @@
 
         Logger.Debug("Registring new Events");
-        proxy.LoginCompleted += new EventHandler<Service.LoginCompletedEventArgs>(proxy_LoginCompleted);
-        proxy.SendStreamedJobCompleted += new EventHandler<Service.SendStreamedJobCompletedEventArgs>(proxy_SendStreamedJobCompleted);
-        proxy.StoreFinishedJobResultStreamedCompleted += new EventHandler<Service.StoreFinishedJobResultStreamedCompletedEventArgs>(proxy_StoreFinishedJobResultStreamedCompleted);
-        proxy.ProcessSnapshotStreamedCompleted += new EventHandler<Service.ProcessSnapshotStreamedCompletedEventArgs>(proxy_ProcessSnapshotStreamedCompleted);
-        proxy.ProcessHeartBeatCompleted += new EventHandler<Service.ProcessHeartBeatCompletedEventArgs>(proxy_ProcessHeartBeatCompleted);
+        proxy.LoginCompleted += new EventHandler<LoginCompletedEventArgs>(proxy_LoginCompleted);
+        proxy.SendStreamedJobCompleted += new EventHandler<SendStreamedJobCompletedEventArgs>(proxy_SendStreamedJobCompleted);
+        proxy.StoreFinishedJobResultStreamedCompleted += new EventHandler<StoreFinishedJobResultStreamedCompletedEventArgs>(proxy_StoreFinishedJobResultStreamedCompleted);
+        proxy.ProcessSnapshotStreamedCompleted += new EventHandler<ProcessSnapshotStreamedCompletedEventArgs>(proxy_ProcessSnapshotStreamedCompleted);
+        proxy.ProcessHeartBeatCompleted += new EventHandler<ProcessHeartBeatCompletedEventArgs>(proxy_ProcessHeartBeatCompleted);
         Logger.Debug("Registered new Events");
         Logger.Debug("Opening the Connection");
@@ -112,7 +113,6 @@
         }
         if (ConnState == NetworkEnum.WcfConnState.Failed)
-          ConnectionRestored(this, new EventArgs());        
-      }
-      catch (Exception ex) {      
+          ConnectionRestored(this, new EventArgs());
+      } catch (Exception ex) {
         HandleNetworkError(ex);
       }
@@ -130,8 +130,8 @@
       int oldPort = this.ServerPort;
       this.ServerIP = serverIP;
-      this.ServerPort = serverPort;      
+      this.ServerPort = serverPort;
       Connect();
       if (oldIp != serverIP || oldPort != ServerPort)
-        if(ServerChanged != null) 
+        if (ServerChanged != null)
           ServerChanged(this, new EventArgs());
     }
@@ -142,5 +142,5 @@
       this.ServerPort = serverPort;
     }
-    
+
     /// <summary>
     /// Disconnects the Client from the Server
@@ -159,5 +159,5 @@
     }
 
-    
+
 
     /// <summary>
@@ -165,5 +165,5 @@
     /// </summary>
     #region Login
-    public event System.EventHandler<Service.LoginCompletedEventArgs> LoginCompleted;
+    public event System.EventHandler<LoginCompletedEventArgs> LoginCompleted;
     public void LoginAsync(ClientDto clientInfo) {
       if (ConnState == NetworkEnum.WcfConnState.Connected) {
@@ -172,5 +172,5 @@
       }
     }
-    private void proxy_LoginCompleted(object sender, Service.LoginCompletedEventArgs e) {
+    private void proxy_LoginCompleted(object sender, LoginCompletedEventArgs e) {
       if (e.Error == null) {
         Logger.Debug("ENDED: Login Async");
@@ -190,9 +190,8 @@
           } else {
             Logger.Info("ENDED: Login succeeded" + res.StatusMessage);
-            ConnState = NetworkEnum.WcfConnState.Loggedin;            
+            ConnState = NetworkEnum.WcfConnState.Loggedin;
           }
         }
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         HandleNetworkError(e);
       }
@@ -205,5 +204,5 @@
     /// </summary>
     #region PullJob
-    public event System.EventHandler<Service.SendJobCompletedEventArgs> SendJobCompleted;
+    public event System.EventHandler<SendJobCompletedEventArgs> SendJobCompleted;
     public void SendJobAsync(Guid guid) {
       if (ConnState == NetworkEnum.WcfConnState.Loggedin) {
@@ -213,5 +212,5 @@
     }
 
-    void proxy_SendStreamedJobCompleted(object sender, Service.SendStreamedJobCompletedEventArgs e) {
+    void proxy_SendStreamedJobCompleted(object sender, SendStreamedJobCompletedEventArgs e) {
       if (e.Error == null) {
         Logger.Debug("ENDED: Fetching of Jobs from Server for Client");
@@ -223,8 +222,6 @@
 
           //first deserialize the response
-          BinaryFormatter formatter =
-            new BinaryFormatter();
-          ResponseJob response =
-            (ResponseJob)formatter.Deserialize(stream);
+          BinaryFormatter formatter = new BinaryFormatter();
+          ResponseJob response = (ResponseJob)formatter.Deserialize(stream);
 
           //second deserialize the BLOB
@@ -239,11 +236,10 @@
           memStream.Close();
 
-          Service.SendJobCompletedEventArgs completedEventArgs =
-            new Service.SendJobCompletedEventArgs(new object[] { response, memStream.GetBuffer() }, e.Error, e.Cancelled, e.UserState);
+          SendJobCompletedEventArgs completedEventArgs = new SendJobCompletedEventArgs(new object[] { response, memStream.GetBuffer() }, e.Error, e.Cancelled, e.UserState);
           SendJobCompleted(sender, completedEventArgs);
         } catch (Exception ex) {
           Logger.Error(ex);
         } finally {
-          if(stream != null)
+          if (stream != null)
             stream.Dispose();
 
@@ -261,5 +257,5 @@
     /// </summary>
     #region SendJobResults
-    public event System.EventHandler<Service.StoreFinishedJobResultCompletedEventArgs> StoreFinishedJobResultCompleted;
+    public event System.EventHandler<StoreFinishedJobResultCompletedEventArgs> StoreFinishedJobResultCompleted;
     public void StoreFinishedJobResultAsync(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception, bool finished) {
       if (ConnState == NetworkEnum.WcfConnState.Loggedin) {
@@ -272,6 +268,6 @@
         proxy.StoreFinishedJobResultStreamedAsync(stream, stream);
       }
-     }
-    private void proxy_StoreFinishedJobResultStreamedCompleted(object sender, Service.StoreFinishedJobResultStreamedCompletedEventArgs e) {
+    }
+    private void proxy_StoreFinishedJobResultStreamedCompleted(object sender, StoreFinishedJobResultStreamedCompletedEventArgs e) {
       Logger.Debug("Finished storing the job");
       Stream stream =
@@ -282,6 +278,6 @@
       }
       if (e.Error == null) {
-        Service.StoreFinishedJobResultCompletedEventArgs args =
-          new Service.StoreFinishedJobResultCompletedEventArgs(
+        StoreFinishedJobResultCompletedEventArgs args =
+          new StoreFinishedJobResultCompletedEventArgs(
             new object[] { e.Result }, e.Error, e.Cancelled, e.UserState);
         Logger.Debug("calling the Finished Job Event");
@@ -295,5 +291,5 @@
 
     #region Processsnapshots
-    public event System.EventHandler<Service.ProcessSnapshotCompletedEventArgs> ProcessSnapshotCompleted;
+    public event System.EventHandler<ProcessSnapshotCompletedEventArgs> ProcessSnapshotCompleted;
     public void ProcessSnapshotAsync(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception, bool finished) {
       if (ConnState == NetworkEnum.WcfConnState.Loggedin) {
@@ -304,13 +300,13 @@
       }
     }
-    void proxy_ProcessSnapshotStreamedCompleted(object sender, Service.ProcessSnapshotStreamedCompletedEventArgs e) {
+    void proxy_ProcessSnapshotStreamedCompleted(object sender, ProcessSnapshotStreamedCompletedEventArgs e) {
       Stream stream =
         (Stream)e.UserState;
       if (stream != null)
         stream.Dispose();
-      
+
       if (e.Error == null) {
-        Service.ProcessSnapshotCompletedEventArgs args =
-          new Service.ProcessSnapshotCompletedEventArgs(
+        ProcessSnapshotCompletedEventArgs args =
+          new ProcessSnapshotCompletedEventArgs(
             new object[] { e.Result }, e.Error, e.Cancelled, e.UserState);
 
@@ -318,8 +314,8 @@
       } else
         HandleNetworkError(e.Error);
-    }    
-    
+    }
+
     #endregion
-                                                 
+
     /// <summary>
     /// Methods for sending the periodically Heartbeat
@@ -327,12 +323,12 @@
     #region Heartbeat
 
-    public event System.EventHandler<Service.ProcessHeartBeatCompletedEventArgs> ProcessHeartBeatCompleted;
+    public event System.EventHandler<ProcessHeartBeatCompletedEventArgs> ProcessHeartBeatCompleted;
     public void ProcessHeartBeatAsync(HeartBeatData hbd) {
       if (ConnState == NetworkEnum.WcfConnState.Loggedin)
         Logger.Debug("STARTING: sending heartbeat");
-        proxy.ProcessHeartBeatAsync(hbd);
-    }
-
-    private void proxy_ProcessHeartBeatCompleted(object sender, Service.ProcessHeartBeatCompletedEventArgs e) {
+      proxy.ProcessHeartBeatAsync(hbd);
+    }
+
+    private void proxy_ProcessHeartBeatCompleted(object sender, ProcessHeartBeatCompletedEventArgs e) {
       if (e.Error == null && e.Result.Success) {
         ProcessHeartBeatCompleted(sender, e);
@@ -341,6 +337,5 @@
         try {
           Logger.Error("Error: " + e.Result.StatusMessage);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           Logger.Error("Error: ", ex);
         }
@@ -349,5 +344,5 @@
     }
 
-    #endregion  
+    #endregion
 
     /// <summary>
@@ -377,5 +372,5 @@
     }
 
-    public ResponseResultReceived StoreFinishedJobResultsSync(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception, bool finished) {      
+    public ResponseResultReceived StoreFinishedJobResultsSync(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception, bool finished) {
       return proxy.StoreFinishedJobResultStreamed(
         GetStreamedJobResult(clientId, jobId, result, percentage, exception));
@@ -388,18 +383,16 @@
         Logger.Debug("ENDED: Sync call: IsJobStillNeeded");
         return res;
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         HandleNetworkError(e);
         return null;
       }
-      
+
     }
 
     public ResponseResultReceived ProcessSnapshotSync(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception) {
-      try {        
+      try {
         return proxy.ProcessSnapshotStreamed(
           GetStreamedJobResult(clientId, jobId, result, percentage, exception));
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         HandleNetworkError(e);
         return null;
@@ -419,8 +412,7 @@
         Logger.Debug("ENDED: Deserializing the stream");
         if (stream != null)
-          stream.Dispose();        
-        return response.Plugins;        
-      }
-      catch (Exception e) {
+          stream.Dispose();
+        return response.Plugins;
+      } catch (Exception e) {
         HandleNetworkError(e);
         return null;
@@ -433,6 +425,5 @@
         proxy.Logout(guid);
         Logger.Debug("ENDED: Logout");
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         HandleNetworkError(e);
       }
@@ -445,6 +436,5 @@
         Logger.Debug("ENDED: Syncing Calendars");
         return cal;
-      }
-      catch (Exception e) {
+      } catch (Exception e) {
         HandleNetworkError(e);
         return null;
